Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.context.log.variableinstance
Class ByteArrayUpdateLog

    java.lang.Object
      org.jbpm.logging.log.ProcessLog
          org.jbpm.context.log.VariableLog
              org.jbpm.context.log.VariableUpdateLog
                  org.jbpm.context.log.variableinstance.ByteArrayUpdateLog

All Implemented Interfaces:
  java.io.Serializable

    public class ByteArrayUpdateLog

extends VariableUpdateLog

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.context.log.VariableLog
`variableInstance`

Fields inherited from class org.jbpm.logging.log.ProcessLog
`date, index, parent, token`

Constructor Summary
`ByteArrayUpdateLog()`
`ByteArrayUpdateLog(VariableInstance variableInstance, ByteArray oldValue, ByteArray newValue)`

Method Summary
`java.lang.Object` | `getNewValue()`
`java.lang.Object` | `getOldValue()`
`java.lang.String` | `toString()` provides a text description for this update which can be used e.g. in the admin web console.

Methods inherited from class org.jbpm.context.log.VariableUpdateLog
`undo`

Methods inherited from class org.jbpm.context.log.VariableLog
`getVariableInstance`

Methods inherited from class org.jbpm.logging.log.ProcessLog
`getActorId, getDate, getId, getIndex, getParent, getToken, setDate, setIndex, setParent, setToken`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ByteArrayUpdateLog

    public ByteArrayUpdateLog()

### ByteArrayUpdateLog

    public ByteArrayUpdateLog(VariableInstance variableInstance,
                              ByteArray oldValue,
                              ByteArray newValue)

Method Detail

### getOldValue

    public java.lang.Object getOldValue()

  Specified by:
    `getOldValue` in class `VariableUpdateLog`

### getNewValue

    public java.lang.Object getNewValue()

  Specified by:
    `getNewValue` in class `VariableUpdateLog`

### toString

    public java.lang.String toString()

  Description copied from class: `ProcessLog`
  provides a text description for this update which can be used e.g. in the admin web console.

  Overrides:
    `toString` in class `VariableUpdateLog`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD